<template>
  <v-app>
    <snackbar />
    <router-view />
    <v-snackbar bottom right :value="updateExists" :timeout="0" color="primary">
      An update is available
      <v-btn text @click="refreshApp"> Update </v-btn>
    </v-snackbar>
  </v-app>
</template>

<script>
import Snackbar from "./components/app/Snackbar";
import update from "./mixins/mixin.update";
export default {
  components: { Snackbar },
  mixins: [update],
};
</script>

<style>
@import "assets/styles/main.scss";
</style>
